Ant tasks require XML processing libraries in pom.xml on Maven Central

Description

I just upgraded my build that uses the Ant Cargo libraries from 1.1.0 to 1.1.1. These are the libraries I pull from Maven Central:

1 2 org.codehaus.cargo:cargo-core-uberjar:1.1.1 org.codehaus.cargo:cargo-ant:1.1.1

It looks like the latest JARs also require XML processing libraries (Jaxen, JDOM, DOM4J etc.). However, they don't seem to define as transitive dependencies in the available pom.xml on Maven Central. This should be fixed.

Status

Assignee

Savas Ali Tokmen

Reporter

Benjamin Muschko

Components

Fix versions

Affects versions

1.1.1

Priority

Major